Skip to navigation

Update department

View as Markdown
Update department by Id

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

departmentIdstringRequiredformat: ".*"
The id of the department.

Request

Department to update.
resourceslist of objectsRequired
Resources assigned to this Organization per Node Pool
descriptionstringOptional
The description of the department.
schedulingRulesobjectOptional

Scheduling rules that define time limits and idle GPU timeouts for workloads in this org-unit. These rules help manage resource utilization by automatically terminating or preempting idle or long-running workloads.

defaultNodePoolslist of strings or nullOptional
An ordered list of node pools that defines the default scheduling preference for workloads in this department. The Scheduler will attempt to schedule workloads on node pools in this order. This setting is enforced if no node pool list is defined in the workload policy.
nodeTypesobjectOptional

Deprecated: use a workload policy node selector to target node types instead. Node type configurations for different workload types (training, workspace). Specifies which node types are allowed for each workload type. Enforced when no node type is configured in the workload policy.

Response

Updated
descriptionstring
The description of the department.
namestring<=63 characters

The unique name of the department within the cluster. Must be a valid Kubernetes name (lowercase, alphanumeric, hyphens allowed).

clusterIdstringformat: "uuid"
The id of the cluster.
idstring
createdAtdatetime
updatedAtdatetime
totalResourcesobject
resourceslist of objects
Resources assigned to this Organization per Node Pool
schedulingRulesobjectOptional

Scheduling rules that define time limits and idle GPU timeouts for workloads in this org-unit. These rules help manage resource utilization by automatically terminating or preempting idle or long-running workloads.

defaultNodePoolslist of strings or nullOptional
An ordered list of node pools that defines the default scheduling preference for workloads in this department. The Scheduler will attempt to schedule workloads on node pools in this order. This setting is enforced if no node pool list is defined in the workload policy.
nodeTypesobjectOptional

Deprecated: use a workload policy node selector to target node types instead. Node type configurations for different workload types (training, workspace). Specifies which node types are allowed for each workload type. Enforced when no node type is configured in the workload policy.

overtimeDataobjectOptional
createdBystringOptional
updatedBystringOptional
childrenlist of objects or nullOptional
projectsAggregatedResourceslist of objects or nullOptional
statusobjectOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
503
Service Unavailable Error